Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class DiscoveryException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.RemoteCommandManagerException
oracle.toplink.exceptions.DiscoveryException`

All Implemented Interfaces:
  java.io.Serializable

public class DiscoveryException
extends RemoteCommandManagerException
implements java.io.Serializable

Instances of this exception are raised if a problem is detected during the discovery of a TopLink cluster. This occurs as part of the RemoteCommandManager feature. TopLink exceptions should only ever be thrown by TopLink code.

See Also:
  Serialized Form

Field Summary
`static int` | `ERROR_JOINING_MULTICAST_GROUP`
`static int` | `ERROR_LOOKING_UP_LOCAL_HOST`
`static int` | `ERROR_RECEIVING_ANNOUNCEMENT`
`static int` | `ERROR_SENDING_ANNOUNCEMENT`

Fields inherited from class oracle.toplink.exceptions.RemoteCommandManagerException
`ERROR_BINDING_CONNECTION, ERROR_CREATING_JMS_CONNECTION, ERROR_DISCOVERING_IP_ADDRESS, ERROR_GETTING_HOST_NAME, ERROR_GETTING_SERVERPLATFORM, ERROR_LOOKING_UP_REMOTE_CONNECTION, ERROR_OBTAINING_CONTEXT_FOR_JNDI, ERROR_PROPAGATING_COMMAND, ERROR_RECEIVING_JMS_MESSAGE, ERROR_SERIALIZE_OR_DESERIALIZE_COMMAND, ERROR_UNBINDING_LOCAL_CONNECTION`

Constructor Summary
`DiscoveryException()`
`DiscoveryException(java.lang.String theMessage)`

Method Summary
`static DiscoveryException` | `errorJoiningMulticastGroup(java.lang.Exception internalEx)`
`static DiscoveryException` | `errorLookingUpLocalHost(java.lang.Exception internalEx)`
`static DiscoveryException` | `errorReceivingAnnouncement(java.lang.Exception internalEx)`
`static DiscoveryException` | `errorSendingAnnouncement(java.lang.Exception internalEx)`

Methods inherited from class oracle.toplink.exceptions.RemoteCommandManagerException
`errorBindingConnection, errorCreatingJMSConnection, errorDiscoveringLocalHostIPAddress, errorGettingHostName, errorGettingServerPlatform, errorLookingUpRemoteConnection, errorObtainingContext, errorReceivingJMSMessage, errorSerializeOrDeserialzeCommand, errorUnbindingLocalConnection, unableToPropagateCommand`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_JOINING_MULTICAST_GROUP

    public static final int ERROR_JOINING_MULTICAST_GROUP

  See Also:
    Constant Field Values

### ERROR_SENDING_ANNOUNCEMENT

    public static final int ERROR_SENDING_ANNOUNCEMENT

  See Also:
    Constant Field Values

### ERROR_LOOKING_UP_LOCAL_HOST

    public static final int ERROR_LOOKING_UP_LOCAL_HOST

  See Also:
    Constant Field Values

### ERROR_RECEIVING_ANNOUNCEMENT

    public static final int ERROR_RECEIVING_ANNOUNCEMENT

  See Also:
    Constant Field Values

Constructor Detail

### DiscoveryException

    public DiscoveryException()

### DiscoveryException

    public DiscoveryException(java.lang.String theMessage)

Method Detail

### errorJoiningMulticastGroup

    public static DiscoveryException errorJoiningMulticastGroup(java.lang.Exception internalEx)

### errorSendingAnnouncement

    public static DiscoveryException errorSendingAnnouncement(java.lang.Exception internalEx)

### errorLookingUpLocalHost

    public static DiscoveryException errorLookingUpLocalHost(java.lang.Exception internalEx)

### errorReceivingAnnouncement

    public static DiscoveryException errorReceivingAnnouncement(java.lang.Exception internalEx)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD